lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'hawkei/version'
require 'hawkei/library_name'

Gem::Specification.new do |s|
  s.name          = Hawkei::LIBRARY_NAME
  s.version       = Hawkei::VERSION
  s.platform      = Gem::Platform::RUBY
  s.authors       = ['Hawkei']
  s.email         = ['support@hawkei.io']
  s.homepage      = 'https://github.com/hawkei-io/hawkei-ruby'
  s.summary       = 'Hawkei ruby integration'
  s.description   = 'Hawkei ruby integration'

  s.license       = 'MIT'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- spec/*`.split("\n")

  s.add_dependency 'concurrent-ruby', '~> 1.1.3'

  s.add_development_dependency 'faker', '~> 1.9.1'
  s.add_development_dependency 'pry'
  s.add_development_dependency 'rake', '>= 0.9.0'
  s.add_development_dependency 'rspec', '~> 3.8'
  s.add_development_dependency 'rubocop', '= 0.61.1'
end
