require 'spec_helper'
require 'rails'
require 'hawkei/plugins/rails/data'

describe Hawkei::Plugins::Rails::Data do

  let(:middleware) { Hawkei::Plugins::Rails::Data }

  describe '#store_data' do

    context 'blank store' do
      before { middleware.store_data }

      let(:expected) {{
        environment: kind_of(String)
      }}

      it { expect(Hawkei::Store.store).to match(expected) }
    end

  end
end
